Name:    thin-provisioning-tools
Version: 0.9.0
Release: 2
Summary: Tools for manipulating Device-mapper metadata
License: GPLv3+
URL:     https://github.com/jthornber/thin-provisioning-tools
Source0: https://github.com/jthornber/thin-provisioning-tools/archive/v%{version}.tar.gz
Patch1:  0001-device-mapper-persistent-data-avoid-strip.patch

BuildRequires: autoconf, expat-devel
BuildRequires: libaio-devel, libstdc++-devel
BuildRequires: boost-devel, gcc-c++
Requires:      expat, boost-iostreams
Requires:      %{name}-help = %{version}-%{release}
Provides:      device-mapper-persistent-data
Obsoletes:     device-mapper-persistent-data

%description
A suite of tools for manipulating the metadata of the dm-thin, dm-cache and dm-era device-mapper targets.

%package        help
Summary:        Including man files for thin-provisioning-tools
Requires:       man
BuildArch:      noarch
Provides:       device-mapper-persistent-data-help
Obsoletes:      device-mapper-persistent-data-help

%description    help
This contains man files for the using of thin-provisioning-tools

%prep
%autosetup -n thin-provisioning-tools-%{version} -p1
echo %{version}-%{release} > VERSION

%build
autoconf
%configure --with-optimisation=
%make_build V=

%install
make DESTDIR=%{buildroot} MANDIR=%{_mandir} install

%files
%doc README.md
%license COPYING
%{_sbindir}/*
%exclude %{_sbindir}/thin_show_duplicates

%files help
%{_mandir}/man*/*

%changelog
* Mon Nov 9 2020 lixiaokeng<lixiaokeng@huawei.com> -  0.9.0-2
- Set help package as install require

* Tue Aug 26 2020 lixiaokeng<lixiaokeng@huawei.com> -  0.9.0-1
- upgrade to 0.9.0

* Tue Aug 18 2020 smileknife<jackshan2010@aliyun.com> - 0.7.6-6
- update release for rebuilding

* Sat Jan 11 2020 wangjufeng<wangjufeng@huawei.com> -  0.7.6-5
- Type:enhancemnet
- ID:NA
- SUG:NA
- DESC:correct changelog date

* Fri Jan 10 2020 wangjufeng<wangjufeng@huawei.com> -  0.7.6-4
- Type:enhancemnet
- ID:NA
- SUG:NA
- DESC:rename the package

* Wed Sep 04 2019 wangjufeng<wangjufeng@huawei.com> -  0.7.6-3
- Type:enhancemnet
- ID:NA
- SUG:NA
- DESC:openEuler Debranding
